petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexGetPointGlobalField

get location of point field data in global Vec

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetPointGlobalField(DM dm, PetscInt point, PetscInt field, PetscInt *start, PetscInt *end)

Not Collective

### Input Arguments

| dm | - DM defining the topological space
| point | - topological point
| field | - the field number

### Output Arguments

| start | - start of point data; returns -(globalStart+1) if point is not owned
| end | - end of point data; returns -(globalEnd+1) if point is not owned

Note: This is a half open interval [start, end)

### See Also

DMPlexGetPointGlobal(), DMGetDefaultSection(), PetscSectionGetOffset(), PetscSectionGetDof(), DMPlexPointGlobalRead(), DMPlexGetPointLocal(), DMPlexPointGlobalRead(), DMPlexPointGlobalRef()

Level:intermediate
Location:src/dm/impls/plex/plexpoint.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages